import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        long n = nextLong();
        StringBuilder s = new StringBuilder();
        while(n>1){
            if(n%3==1){
                s.append("A");
                n=n/3;
            }
            else if(n%3==0){
                s.append("B");
                n=n*2+1;
            }
            else{
                s.append("B");
                n=n*2;
            }
        }
        int q = s.length()-1;
        while(q>=0){
            System.out.print(s.charAt(q));
            q--;
        }
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}